#pragma once

#include "CoreMinimal.h"
#include "EStoreFeaturedCardRecommendationType.h"
#include "StoreFeaturedCardRecommendationEntryData.generated.h"

USTRUCT(BlueprintType)
struct FStoreFeaturedCardRecommendationEntryData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere)
	EStoreFeaturedCardRecommendationType Type;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString EntryId;

	UPROPERTY(EditAnywhere)
	uint32 Weight;

public:
	DEADBYDAYLIGHT_API FStoreFeaturedCardRecommendationEntryData();
};

FORCEINLINE uint32 GetTypeHash(const FStoreFeaturedCardRecommendationEntryData) { return 0; }
